<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.jeecg.modules.database.mapper.HistoricalDatabaseMapper">

    <select id="search" resultType="org.jeecg.modules.database.entity.HistoricalDatabase">
        select * from historical_database
        <where>
            <if test="keyWord != null and keyWord != ''">
                type like concat('%', #{keyWord}, '%')
                or name like concat('%', #{keyWord}, '%')
                or device_mode like concat('%', #{keyWord},'%')
                or client_name like concat('%', #{keyWord}, '%')
                or manufacturer like concat('%', #{keyWord}, '%')
                or data_provider like concat('%', #{keyWord}, '%')
                or data_entry like concat('%', #{keyWord},'%')
            </if>
        </where>
    </select>
</mapper>